Can you give me the link to the previous version of JotForm?

  • Profile Image
    NationalDrawingCenter
    Asked on September 21, 2010 at 08:26 AM

    While I am loving the current platform, the limitations of IE7 or higher / Firefox is a technical hurdle that is becoming more and more of an issue around the office.  That, combined with IE9 and Firefox 4 about to be released and the potential for more access issues is causing me to rethink this whole thing.  I'd like to test the previous system of JotForm before I completely throw in the towel though.

    Also, how difficult woudl it be to take a form from the existing system and move it to the older one?  I REALLY don't feel like recreating all of my work from scratch, but I will if need be.

  • Profile Image
    aytekin
    Answered on September 21, 2010 at 10:26 AM

    Unfortunately no, we do not allow new accounts on the version 2. Only if you were a version 2 user previously you can keep using it.

    - IE7 or higher limitation is only for the form builder. Your forms work on all browsers. So, that shouldn't be a problem.

    - IE9 is in beta and very very buggy. Nothing works on it properly. We made many fixes yesterday and today to make JotForm work on IE9 beta, and we will keep making them. So, it will be ready by the time it is released.

  • Profile Image
    NationalDrawingCenter
    Answered on September 21, 2010 at 10:38 AM

    Well that's funny because on Sept. 1 you offered to help me go to the pervious version of JotForm due to IE6 acting buggy on me.

    IE6 hourglasses on my form once you press NEXT on a multi-page form.  I was hoping to get my team across the US to just use Firefox instead of IE6 (since corporate IT will not upgrade us to IE7 or IE8 due to compatibility with existing internal systems).  Unfortunately I am getting resistance to using Firefox from my potential users which leaves me at a crossroads.  Continue to force the issue, or dump JotForms altogether and look for a new system to use.

     

  • Profile Image
    aytekin
    Answered on September 21, 2010 at 11:11 AM

    Sorry. Of course, if I promised it I will provide an account on v2.

    I created your account and emailed the details. It should work perfectly on IE6.

    If you need anything please let me know.